<template>
  <div>
    <div class="text-[16px] text-[#133F5D] mb-[18px]">Data Diri Lengkap</div>
    <form>
      <label class="text-[12px] text-[#133F5D] mb-[5px] block">Nama Lengkap</label>
      <input
        type="text"
        class="h-[27px] bg-[#F7FBFD] border-b border-[#C2CDD5] w-full focus:outline-none px-[10px] text-[14px] text-[#133F5D] mb-[18px]"
        placeholder="cth. Priska Aprilia"
        @input="handleInput"
      >
      <label class="text-[12px] text-[#133F5D] mb-[5px] block">Alamat Lengkap</label>
      <input
        type="text"
        class="h-[27px] bg-[#F7FBFD] border-b border-[#C2CDD5] w-full focus:outline-none px-[10px] text-[14px] text-[#133F5D] mb-[18px]"
        placeholder="cth. Jl. Sunter Garden Raya No.5D, RT.6/RW.12"
      >
      <div class="grid grid-cols-1 md:grid-cols-3 gap-0 md:gap-4">
        <div>
          <label class="text-[12px] text-[#133F5D] mb-[5px] block">Tanggal Lahir</label>
          <input
            type="text"
            class="h-[27px] bg-[#F7FBFD] border-b border-[#C2CDD5] w-full focus:outline-none px-[10px] text-[14px] text-[#133F5D] mb-[18px]"
            placeholder="Pilih Tanggal"
          >
        </div>
        <div>
          <label class="text-[12px] text-[#133F5D] mb-[5px] block">No. Telp</label>
          <input
            type="text"
            class="h-[27px] bg-[#F7FBFD] border-b border-[#C2CDD5] w-full focus:outline-none px-[10px] text-[14px] text-[#133F5D] mb-[18px]"
            placeholder="cth. 08123456789"
          >
        </div>
        <div>
          <label class="text-[12px] text-[#133F5D] mb-[5px] block">No. Telp Perusahaan</label>
          <input
            type="text"
            class="h-[27px] bg-[#F7FBFD] border-b border-[#C2CDD5] w-full focus:outline-none px-[10px] text-[14px] text-[#133F5D] mb-[18px]"
            placeholder="cth. 08123456789"
          >
        </div>
      </div>
      <div class="grid grid-cols-1 md:grid-cols-3 gap-0 md:gap-4">
        <div>
          <label class="text-[12px] text-[#133F5D] mb-[5px] block">No. KTP</label>
          <input
            type="text"
            class="h-[27px] bg-[#F7FBFD] border-b border-[#C2CDD5] w-full focus:outline-none px-[10px] text-[14px] text-[#133F5D] mb-[18px]"
            placeholder="cth. 327123456789"
          >
        </div>
        <div>
          <label class="text-[12px] text-[#133F5D] mb-[5px] block">No. NPWP</label>
          <input
            type="text"
            class="h-[27px] bg-[#F7FBFD] border-b border-[#C2CDD5] w-full focus:outline-none px-[10px] text-[14px] text-[#133F5D] mb-[18px]"
            placeholder="cth. 990998997996"
          >
        </div>
        <div>
          <label class="text-[12px] text-[#133F5D] mb-[5px] block">Jumlah Pinjaman</label>
          <input
            type="text"
            class="h-[27px] bg-[#F7FBFD] border-b border-[#C2CDD5] w-full focus:outline-none px-[10px] text-[14px] text-[#133F5D] mb-[18px]"
            placeholder="0"
          >
        </div>
      </div>
      <label class="text-[12px] text-[#133F5D] mb-[5px] block">Nama Perusahaan</label>
      <input
        type="text"
        class="h-[27px] bg-[#F7FBFD] border-b border-[#C2CDD5] w-full focus:outline-none px-[10px] text-[14px] text-[#133F5D] mb-[18px]"
        placeholder="cth. PT Pembangunan Sejahtera"
      >
      <label class="text-[12px] text-[#133F5D] mb-[5px] block">Alamat Perusahaan</label>
      <input
        type="text"
        class="h-[27px] bg-[#F7FBFD] border-b border-[#C2CDD5] w-full focus:outline-none px-[10px] text-[14px] text-[#133F5D] mb-[18px]"
        placeholder="cth. Jl Otto Iskandardinata 30, DKI Jakarta"
      >
      <div class="text-[16px] text-[#133F5D] mb-[18px]">Unggah Dokumen Pribadi</div>
      <div class="grid grid-cols-1 md:grid-cols-2 gap-3 mb-[18px]">
        <FileUpload
          title="Foto e-KTP"
          desc="Foto belum diunggah"
          :icon="picUploadIcon"
        />
        <FileUpload
          title="Dokumen Legal"
          desc="Dokumen belum diunggah"
          :icon="documentIcon"
        />
      </div>
      <button
        @click="isShowModal = true"
        type="button"
        class="h-[46px] w-[214px] rounded-full text-center text-[16px]  mx-auto block"
        :class="isUpdated ? 'bg-[#93C854] text-white' : 'bg-[#E0E4E7] text-[#9AA6B0]'"
      >
        Simpan
      </button>
    </form>
    <Modal
      v-if="isShowModal"
      title="Pengajuan Anda Berhasil Diajukan!"
      desc="Data pengajuan Anda telah kami terima dan akan diproses dalam waktu 2x24 jam."
      action="showChoosePlatform"
      :image="csIllus"
    />
  </div>
</template>

<script>
import EventBus from '~/helpers/eventBus'
import FileUpload from './FIleUpload.vue'
import Modal from './Modal.vue'

export default {
  name: 'PersonalInfoForm',
  components: {
    FileUpload,
    Modal
  },
  data() {
    return {
      picUploadIcon: require('@/assets/images/picUpload.svg'),
      documentIcon: require('@/assets/images/File.svg'),
      csIllus: require('@/assets/images/cs-illustration1.svg'),
      isUpdated: false,
      isShowModal: false
    }
  },
  created() {
    EventBus.$on('show-choose-platform', this.hideModal);
  },
  methods: {
    handleInput() {
      this.isUpdated = true
    },
    hideModal() {
      this.isShowModal = false
    }
  }
}
</script>
